Package tigase.auth.credentials.entries

# Class XTokenCredentialsEntry.Encoder

java.lang.Object
tigase.auth.credentials.entries.XTokenCredentialsEntry.Encoder

All Implemented Interfaces:
  `Credentials.Encoder<XTokenCredentialsEntry>`

Enclosing class:
  XTokenCredentialsEntry

@Bean(name="XTOKEN-HMAC-SHA-256", parent=CredentialsEncoderBean.class, active=false) public static class XTokenCredentialsEntry.Encoder extends Object implements Credentials.Encoder<XTokenCredentialsEntry>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Encoder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `encode(BareJID user, String password)`
  Encodes entry to store in database.
  `String`
  `encode(BareJID user, XTokenCredentialsEntry entry)`
  Encodes entry to store in database.
  `String`
  `getName()`
  Name of the encryption mechanism for which encoder works

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Encoder

    public Encoder()

- ## Method Details

  - ### encode

    public String encode(BareJID user, String password)
    Description copied from interface: `Credentials.Encoder`
    Encodes entry to store in database.
    Specified by:
      `encode` in interface `Credentials.Encoder<XTokenCredentialsEntry>`
    Parameters:
      `user` - for which encode
      `password` - plaintext password to encode
    Returns:
      encoded authentication data.

  - ### encode

    public String encode(BareJID user, XTokenCredentialsEntry entry)
    Description copied from interface: `Credentials.Encoder`
    Encodes entry to store in database.
    Specified by:
      `encode` in interface `Credentials.Encoder<XTokenCredentialsEntry>`
    Parameters:
      `user` - for which encode
      `entry` - to encode
    Returns:
      encoded authentication data.

  - ### getName

    public String getName()
    Description copied from interface: `Credentials.Encoder`
    Name of the encryption mechanism for which encoder works
    Specified by:
      `getName` in interface `Credentials.Encoder<XTokenCredentialsEntry>`
    Returns:
      name of the encryption mechanism for which encoder works